## dhis-server 5.1

=== Makefile ===
# -
# Copyright (c) 1998-2001 Joao Cabral (jcnc@dhis.org)
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#      DHIS(c)  Dynamic Host Information System Release 5.1

CC=gcc
CFLAGS=-Wall -Wformat -I/usr/local/include # -DDONT_FORK
LFLAGS=-L/usr/local/lib 
CP=cp

INSTALLDIR=/etc/dhis/bin
MODE=700
OWNER=root
MKDIR=mkdir -p
CHOWN=chown
CHMOD=chmod

# For System V (Solaris) uncomment -lnsl and -lsocket

LIBS=-lgmp # -lnsl -lsocket
OBJS=log.o network.o misc.o db.o online.o service.o main.o
RM=rm -f

all: dhisd genkeys

dhisd:	$(OBJS)
	$(CC) $(LFLAGS) -o dhisd $(OBJS) $(LIBS)
	strip dhisd

genkeys:
	$(CC) $(CFLAGS) $(LFLAGS) genkeys.c -DQRC=1 -o genkeys -lgmp

install: dhisd genkeys
	$(MKDIR) $(INSTALLDIR)
	$(CP) dhisd genkeys $(INSTALLDIR)
	$(CHOWN) $(OWNER) $(INSTALLDIR)/dhisd $(INSTALLDIR)/genkeys
	$(CHMOD) $(MODE) $(INSTALLDIR)/dhisd $(INSTALLDIR)/genkeys

clean:
	$(RM) *.core core genkeys dhisd *.o *~

## dhis-server 5.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -
-# Copyright (c) 1998-2001 Joao Cabral (jcnc@dhis.org)
+# Copyright (c) 1998-2005 Joao Cabral
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -23,7 +23,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-#      DHIS(c)  Dynamic Host Information System Release 5.1
+#      DHIS(c)  Dynamic Host Information System Release 5
 
 CC=gcc
 CFLAGS=-Wall -Wformat -I/usr/local/include # -DDONT_FORK
@@ -37,9 +37,9 @@
 CHOWN=chown
 CHMOD=chmod
 
-# For System V (Solaris) uncomment -lnsl and -lsocket
+# For System V (Solaris) uncomment -lnd -lsocket
 
-LIBS=-lgmp # -lnsl -lsocket
+LIBS=-lgmp 
 OBJS=log.o network.o misc.o db.o online.o service.o main.o
 RM=rm -f

=== debian/changelog ===
dhis-server (5.3-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #963913)
  * debian/rules: Add build-{arch,indep} (Closes: #999124).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:53:05 -0300

dhis-server (5.3-2.1) unstable; urgency=low

  * NMU.  Change dependency libgmp3-dev --> libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Wed, 16 Mar 2011 22:15:23 -0500

dhis-server (5.3-2) unstable; urgency=low

  * Adopt 3.0 (quilt) format.
  * Bump Standards-Version.
  * Use dh_prep instead of dh_clean -k.
  * Compile with -fno-strict-aliasing.
  * Apply patch from Peter Gervai restoring compatibility with version 5.5
    clients. Closes: #516292

 -- Guus Sliepen <guus@debian.org>  Sat, 19 Dec 2009 00:38:53 +0100

dhis-server (5.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Temporary files are to be created in /tmp not in current directory

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 09 Sep 2008 22:34:56 +0200

dhis-server (5.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing unsave tempfile creation (Closes: #496388)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 09 Sep 2008 20:55:31 +0200

dhis-server (5.3-1) unstable; urgency=low

  * New upstream release.
    - Fixes parsing of comments in database file. Closes: #458862

 -- Guus Sliepen <guus@debian.org>  Sat, 05 Jan 2008 22:08:50 +0100

dhis-server (5.2-4) unstable; urgency=low

  * Build with gcc, not with gcc-4.2.

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Aug 2007 13:54:06 +0200

dhis-server (5.2-3) unstable; urgency=low

  * Remove strip command from Makefile. Closes: #436764

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Aug 2007 13:40:14 +0200

dhis-server (5.2-2) unstable; urgency=low

  * Add LSB section to the init script.

 -- Guus Sliepen <guus@debian.org>  Sat, 18 Nov 2006 13:10:41 +0100

dhis-server (5.2-1) unstable; urgency=low

  * New upstream release. Closes: #372555
  * Remove warnings caused by silly use of unsigned char.

 -- Guus Sliepen <guus@debian.org>  Tue, 13 Jun 2006 13:03:38 +0200

dhis-server (5.1-5) unstable; urgency=low

  * Link against libgmp3c2. Closes: #329272
  * Add missing .El tag in manpage.

 -- Guus Sliepen <guus@debian.org>  Wed, 21 Sep 2005 15:24:08 +0200

dhis-server (5.1-4) unstable; urgency=low

  * Don't let restart fail if daemon is not running.

 -- Guus Sliepen <guus@debian.org>  Sun, 18 Jan 2004 14:51:47 +0100

dhis-server (5.1-3) unstable; urgency=low

  * Remove unused #include <varargs.h>. Closes: #195294

 -- Guus Sliepen <guus@debian.org>  Fri, 30 May 2003 11:11:43 +0200

dhis-server (5.1-2) unstable; urgency=low

  * Added build-dependency on libgmp3-dev.
  * Recommend dhis-tools-dns instead of dhis-tools.

 -- Guus Sliepen <guus@sliepen.eu.org>  Sat, 22 Jun 2002 22:53:39 +0200

dhis-server (5.1-1) unstable; urgency=low

  * Initial Release.

 -- Guus Sliepen <guus@debian.org>  Sat, 22 Jun 2002 11:28:45 +0200

=== debian/control ===
Source: dhis-server
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 7.0.0), libgmp-dev
Standards-Version: 3.8.3
Homepage: http://www.dhis.org/

Package: dhis-server
Architecture: any
Depends: ${shlibs:Depends}
Recommends: dhis-dns-engine, dhis-tools-dns
Suggests: dhis-mx-sendmail-engine
Description: Dynamic Host Information System - server
 DHIS is a client-server architecture meant to update databases
 for systems which are assigned a dynamic IP[v4] address.
 .
 By the means of a DHIS client a host which is assigned a dynamic
 IP address (either from its ISP or from DHCP) is able to
 communicate with a DHIS server in order to advertise its newly
 acquired IP address.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/dhis-server.sgml > dhis-server.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/dhis-server.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dhis-server
	cp debian/dhis.db debian/services.db $(CURDIR)/debian/dhis-server/etc/dhis-server/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
	dh_installman debian/dhisd.8
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
